# Lister les intégrations de sources de données disponibles

{% openapi src="/files/k0wV9YEEppPnffcGeVUk" path="/integrations/" method="get" %}
[rememberizer\_openapi.yml](https://3811618827-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FwduaTA5Sz3nf9aH5k1S6%2Fuploads%2Fgit-blob-77b6137eeb641262ec8e531c78123c02b825b865%2Frememberizer_openapi.yml?alt=media\&token=9d0098e1-f392-4761-be64-ff6f2caad99e)
{% endopenapi %}

## Exemples de requêtes

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET \
  https://api.rememberizer.ai/api/v1/integrations/ \
  -H "Authorization: Bearer VOTRE_JWT_TOKEN"
```

{% hint style="info" %}
Remplacez `VOTRE_JWT_TOKEN` par votre véritable jeton JWT.
{% endhint %}
{% endtab %}

{% tab title="JavaScript" %}

```javascript
const getIntegrations = async () => {
  const response = await fetch('https://api.rememberizer.ai/api/v1/integrations/', {
    method: 'GET',
    headers: {
      'Authorization': 'Bearer VOTRE_JWT_TOKEN'
    }
  });
  
  const data = await response.json();
  console.log(data);
};

getIntegrations();
```

{% hint style="info" %}
Remplacez `VOTRE_JWT_TOKEN` par votre véritable jeton JWT.
{% endhint %}
{% endtab %}

{% tab title="Python" %}

```python
import requests

def get_integrations():
    headers = {
        "Authorization": "Bearer VOTRE_JWT_TOKEN"
    }
    
    response = requests.get(
        "https://api.rememberizer.ai/api/v1/integrations/",
        headers=headers
    )
    
    data = response.json()
    print(data)

get_integrations()
```

{% hint style="info" %}
Remplacez `VOTRE_JWT_TOKEN` par votre véritable jeton JWT.
{% endhint %}
{% endtab %}
{% endtabs %}

## Format de Réponse

```json
{
  "data": [
    {
      "id": 101,
      "integration_type": "google_drive",
      "integration_step": "authorized",
      "source": "user@example.com",
      "document_type": "drive",
      "document_stats": {
        "status": {
          "indexed": 250,
          "indexing": 5,
          "error": 2
        },
        "total_size": 15000000,
        "document_count": 257
      },
      "consent_time": "2023-06-15T10:30:00Z",
      "memory_config": null,
      "token_validity": true
    },
    {
      "id": 102,
      "integration_type": "slack",
      "integration_step": "authorized",
      "source": "workspace-name",
      "document_type": "channel",
      "document_stats": {
        "status": {
          "indexed": 45,
          "indexing": 0,
          "error": 0
        },
        "total_size": 5000000,
        "document_count": 45
      },
      "consent_time": "2023-06-16T14:45:00Z",
      "memory_config": null,
      "token_validity": true
    }
  ],
  "message": "Intégrations récupérées avec succès",
  "code": "success"
}
```

Ce point de terminaison récupère une liste de toutes les intégrations de sources de données disponibles pour l'utilisateur actuel. La réponse inclut des informations détaillées sur chaque intégration, y compris le type d'intégration, le statut et les statistiques des documents.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rememberizer.ai/fr/ressources-pour-les-developpeurs/api-docs/list-available-data-source-integrations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
